# SalesForce CRM

SaaSMonk has a bi-directional Salesforce sync to make sure that Salesforce stays as your source of truth.

## Integrating Salesforce with SalesMonk <a href="#s_d6dfa83591" id="s_d6dfa83591"></a>

To create the Salesforce CRM integration, you need to be a Salesforce Administrator. As connected apps receive tokens on behalf of the client after authorization.

{% hint style="info" %}
Our approach to making sure that this integration is successful is iterative. We recommend you start with reads, and consult with our support team on enabling specific writes since the needs for these vary vastly from company to company.
{% endhint %}

## Reading data from Salesforce to SalesMonk <a href="#s_d6dfa83596" id="s_d6dfa83596"></a>

SalesMonk reads customer CRM data in order to populate additional fields within our platform with relevant CRM information. It also enables our customers to:

* Create segmenting based off of CRM data - needed in scenarios where you want your reps to be notified when an account that they own comes to your website
* Filter out your current customers in so that you're only messaging true prospects.
* See the data surfaced in all the relevant places - Slack, in the visitor and company detail pages, and so on.

We currently show the following CRM fields inside SalesMonk dashboards and Slack notifications:

* Account
  * Name
  * Website
  * \# of contacts
  * Owner
* Contact / Lead
  * Name
  * Email
  * Owner
* Opportunity
  * Amount
  * Close date
  * Deal pipeline
  * Deal stage
  * Last activity
  * Owner

## Writing data from SalesMonk to Salesforce

When SalesMonk identifies a company or an individual visiting your website, we will add that company as a Account record in Salesforce and add that individual as a Lead record in Salesforce.

**Please note that writes need to be enabled in consultation with our Support team - we'll make sure that only the right fields and contacts/companies are getting mapped to Salesforce.**

In addition to adding a Company record and/or a Lead record to Salesforce, SalesMonk also writes over a set of custom SalesMonk fields. These essentially serve as a way to get all of SalesMonk's valuable website traffic data into your CRM automatically.

{% hint style="info" %}
We distinguish duplicate records by checking domains for companies and emails for individuals.
{% endhint %}

If we identify a duplicate, we will not create a new Company or Lead record, and instead write over the data from the custom fields to the Company and Contact (or Lead) records.

### Company

SalesMonk adds these fields to the Account object:

1. SalesMonk Created
   1. True if this account didn’t exist in your CRM before and SalesMonk created this account
2. SalesMonk: Company
   1. URL Link to the account page in SalesMonk, e.g. <https://app.salesmonk.ai/accounts/XXXX>

### Contact

SalesMonk adds these custom fields to the Contact/Lead object:

1. SalesMonk Created
   1. True if this lead didn’t exist in your CRM before and SalesMonk created this lead
2. SalesMonk Contact
   1. URL Link to the visitor page in SalesMonk, e.g. [https://app.salesmonk.ai/contact/details/XXXX](https://app.salesmonk.ai/accounts/XXXX)
3. SalesMonk Last Seen
   1. Date this visitor was last seen on your website
4. SalesMonk Total sessions
   1. Total number of sessions from all devices of this visitor. A new session is started when a visitor comes to your site, and ends when the visitor closes the tab or if they become inactive and stop scrolling/moving/clicking anything on your site for over 30m.
      1. E.g. visitor goes to your site, scrolls around, closes tab. 4 hours later, visitor A goes to your site again and clicks around. That’s 2 sessions.
5. SalesMonk UTM Campaign
   1. Last utm\_campaign value
6. SalesMonk UTM Content
   1. Last utm\_content value
7. SalesMonk UTM Medium
   1. Last utm\_medium value
8. SalesMonk UTM Source
   1. Last utm\_source value

We also add in the following in the **Activity** **timeline** for the contact/lead:

1. Meetings booked by the contact

We also add in the following in the **Notes** for the contact/lead:

1. Chats initiated by the contact

## Salesforce integration FAQs <a href="#s_92126c4837" id="s_92126c4837"></a>

**Question**: If a match isn't found in Salesforce, what records are created and what are the default values?(Owner, Status, etc.)

**Answer**:

Creating a Company:

* Company Name
* Company Owner
  * Assigned to the Salesforce user who did the Salesforce integration in SaaSMonk
* Website
* All the SalesMonk fields mentioned above

Creating a Lead

* Name
* Email
* Lead Owner
  * By default leads are assigned to the Salesforce user who did the Salesforce integration in SalesMonk (can be changed to a different Salesforce user on request)
* All the SalesMonk fields mentioned above

***

**Question:** What's the methodology SalesMonk uses to identify whether a Contact(or Lead)/Company already exists in Salesforce?

**Answer:** We look at the unique identifiers for companies and individuals. These are the domains of the companies and the emails/phone numbers of the people. Note that for companies we match based on just domain of the website field (we strip any “[http://www.”](http://www.xn--ivg/) and any URL paths)

***

**Question:** Will SalesMonk edit any of our CRM fields?

**Answer:** We overwrite the first name and last name with the values provided by a user with an existing contact/lead. Email and phone number changes are also synced to Salesforce . We also edit the custom SalesMonk fields.

***

**Question:** If SalesMonk identifies the account or the contact to be a duplicate, will it still write over the SalesMonk data to the custom fields of the Company record and/or the Contact record?

**Answer:** Yes. If we identify the company or the individual that has visited your website to already be in your Salesforce (as a Contact/Lead), we will not create a new Company record or Lead record. However, we will still write over all of the data into the SalesMonk custom fields for those existing Company records and/or Contact/Lead records. Note, for individuals, we go through contacts first and then leads to determine duplicates.

***

**Question:** At a high level, how can I easily find whether a Company or Lead record was created by SalesMonk?

**Answer:** You’ll see "SalesMonk Created” is “True” if we created the Company or Lead record (for Leads , the LeadSource will be set to SalesMonk by default).

***

**Question:** Is there an option to create customer field mappings for records created by SalesMonk?

**Answer:** This requires a custom integration - please contact our support, we'd be happy to make this happen for you!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.salesmonk.ai/integrations/salesforce-crm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
